Subject: bug#50762: diff-update-on-the-fly doesn't update hunk headers while regexp-replacing lines

From: Eli Zaretskii <[email-masked]>
Date: Thu, 22 May 2025 12:51:26 +0300

> From: Konstantin Kharlamov <[email-masked]>
> Date: Thu, 22 May 2025 11:25:48 +0300
> 
> Seems fixed on master.  I don't know when exactly it was fixed, I was
> running all that time with diff-update-on-the-fly set to nil.  But just
> as I was writing a workaround patch (attached for history purposes, in
> case it might be useful at some point, but right now it isn't), I
> tested and it turns out both query-replace-regexp as well as delete-
> matching-lines result in hunks being updated on the fly.
> 
> So bug has been fixed, the report can be closed.

Thanks.  I closed the bug, but please note that you could close it
yourself (and if you were afraid to close by mistake, then reopening
is also easy).